# Configuration file

general {

    ##########################################################################################################
    # general
    #--------------------------------------------------------------------------------------------------------#
    # General stuff that doesn't fit anywhere else
    ##########################################################################################################

    general {
        I:armorStartupTime=200
        D:blockThermalResistanceMultiplier=1.0

        # Loss percentage (on average) of Compressed Iron ingots/blocks when exposed to an explosion. Note: this can also be controlled via CraftTweaker.
        # Min: 0
        # Max: 100
        I:configCompressedIngotLossRate=20

        # DEPRECATED: use Minigun / baseDamage
        D:configMinigunDamage=4.0

        # Enable Drone Suffocation Damage
        B:enableDroneSuffocationDamage=true

        # Enables the dungeon loot generation of the Nuke Virus and Stop! Worm (not useful in single-player worlds)
        B:enableDungeonLoot=true

        # Enable/disable explosion crafting (iron->compressed iron).  If you disable this, you'll need another way to get compressed iron initially.
        B:explosionCrafting=true
        D:fluidThermalResistance=500.0

        # Efficiency of fuel buckets as furnace fuel (default 0.05 means 1 bucket of LPG smelts 450 items in a vanilla furnace
        D:fuelBucketEfficiencyMultiplier=0.05000000074505806
        I:jetbootsAirUsage=6

        # Maximum number of blocks in the area defined in an Area Programming Puzzle Piece
        I:maxProgrammingArea=250000

        # DEPRECATED: use Minigun / potionProcChance
        I:minigunPotionProcChance=15

        # Fluids as hot or hotter than this temperature (Kelvin) will be auto-registered as Liquid Compressor fuels, the quality being dependent on fluid temperature.
        I:minimumFluidFuelTemperature=373

        # Chance per chunk in percentage to generate an Oil Lake. Set to 0 for no spawns
        # Min: 0.0
        # Max: 100.0
        D:oilGenerationChance=15.0

        # Oil worldgen blacklist: add dimension IDs to this list if you don't want oil worldgen to happen there.
        I:oilWorldGenBlacklist <
            1
            -1
         >

        # Should dyes be used when coloring things (Drones, Logistics Modules, Redstone Modules
        B:useUpDyesWhenColoring=false
    }

    ##########################################################################################################
    # machine_properties
    #--------------------------------------------------------------------------------------------------------#
    # Settings affecting the operation of machines
    ##########################################################################################################

    machine_properties {
        # Aerial Interface backwards compat: allow pre-0.8.0 behaviour of getting player's armor inventory from top face, even with Dispenser Upgrade installed
        B:aerialInterfaceArmorCompat=true

        # Chance per tick of Crop Supports causing a growth tick. The default, 0.002, is roughly 2.5 times faster than the vanilla growth rate
        D:cropSticksGrowthBoostChance=0.002

        # Changing this value will alter the pressurized air production of the Electric Compressor. The input, EU, will stay the same
        I:electricCompressorEfficiency=40

        # Base chance (1/x) per tick of a lightning strike on/around the Electrostatic Generator
        I:electrostaticLightningChance=100000

        # The max height of an elevator per stacked Elevator Base.
        # Min: 1
        # Max: 256
        I:elevatorBaseBlocksPerBase=4

        # Changing this value will alter the pressurized air production of the Flux Compressor. The input, RF, will stay the same
        I:fluxCompressorEfficiency=40

        # Can the Kerosene Lamp burn any kind of fuel?  If false, only Kerosene can be burnt
        B:keroseneLampCanUseAnyFuel=true

        # Kerosene Lamp fuel efficiency: higher values mean fuel will last longer in the lamp
        D:keroseneLampFuelEfficiency=1.0

        # Can the Liquid Hopper absorb/dispense fluids into the world with a Dispenser Upgrade?
        B:liquidHopperDispenser=true

        # Can the Omnidirectional Hopper dispense items into the world with a Dispenser Upgrade?
        B:omniHopperDispenser=true

        # The ratio of liquid plastic to solid plastic sheets in the Plastic Mixer, in mB per sheet.  If set to 0, no default liquid->solid plastic recipe will be added (but CraftTweaker or API can be used to add recipes)
        # Min: 0
        # Max: 2147483647
        I:plasticMixerPlasticRatio=1000

        # Changing this value will alter the pressurized air usage of the Pneumatic Dynamo. The output, RF, will stay the same
        I:pneumaticDynamoEfficiency=40

        # Changing this value will alter the pressurized air usage of the Pneumatic Generator. The output, EU, will stay the same.
        I:pneumaticGeneratorEfficiency=40

        # Speed multiplier per speed upgrade: speed mult = speedUpgradeSpeedMultiplier ^ num_of_speed_upgrades
        # Min: 1.0
        # Max: 2.0
        D:speedUpgradeSpeedMultiplier=1.5

        # Fuel usage / heat gen multiplier per speed upgrade: usage mult = speedUpgradeUsageMultiplier ^ num_of_speed_upgrades
        # Min: 1.0
        # Max: 2.0
        D:speedUpgradeUsageMultiplier=1.649999976158142

        # Thermal resistance between opposite faces of the Thermal Compressor. Higher values means heat leaks across (equalizes) more slowly, making the compressor better at converting heat differential to pressure.
        D:thermalCompressorThermalResistance=150.0
    }

    ##########################################################################################################
    # advanced
    #--------------------------------------------------------------------------------------------------------#
    # Advanced settings (shouldn't need to touch under normal circumstances)
    ##########################################################################################################

    advanced {
        # When set to true, the Kerosene Lamp's fake air blocks won't be registered and therefore removed from the world. Useful if this causes trouble (it shouldn't though)
        B:disableKeroseneLampFakeAirBlock=false

        # The amount by which any liquid tank's contents must change, as a proportion of the tank's total capacity, to trigger an update to clients. Larger values mean fewer updates but less granularity in client-side fluid rendering.
        # Min: 1.0E-4
        # Max: 1.0
        D:liquidTankUpdateThreshold=0.01

        # When set to true, Drones will not execute any program. This is useful to set to true when due to a bug Drones are lagging your server or crashing it. Please report the bug if you encounter it.
        B:stopDroneAI=false
    }

    ##########################################################################################################
    # recipes
    #--------------------------------------------------------------------------------------------------------#
    # Enable/disable certain recipes (note: vanilla recipes can be also managed via CraftTweaker)
    ##########################################################################################################

    recipes {
        # 8 Block of Coal --> 1 Diamond (Pressure Chamber)
        B:enableCoalToDiamondsRecipe=true

        # Electric Compressor for IC2
        B:enableElectricCompressorRecipe=true

        # Pneumatic Generator for IC2
        B:enablePneumaticGeneratorRecipe=true
    }

    ##########################################################################################################
    # client
    #--------------------------------------------------------------------------------------------------------#
    # Settings affecting only the client
    ##########################################################################################################

    client {
        # Always show the pressure durability bar for pressurizable items, even when full?
        B:alwaysShowPressureDurabilityBar=true

        # Enable Aphorism Tile Drama!  http://mc-drama.herokuapp.com/
        B:aphorismDrama=true

        # Maximum time, as a percentage of the tick, that the Pneumatic Helmet Block Tracker may take when active and scanning blocks. Larger values mean more rapid update of block information, but potentially greater impact on client FPS.
        I:blockTrackerMaxTimePerTick=10

        # Drones render their held item (the item in slot 0 of their inventory) ?
        B:dronesRenderHeldItem=true

        # Should GUI side tabs be shown with a beveled edge?  Setting to false uses a plain black edge, as in earlier versions of the mod
        B:guiBevel=true

        # Remote Editor GUI: should GUI controls be snapped to 4x4 grid?
        B:guiRemoteGridSnap=false

        # Intensity of the FOV modification when using Pneumatic Leggings speed boost: 0.0 for no FOV modification, higher values zoom out more.  Note: non-zero values may cause FOV clashes with other mods.
        # Min: 0.0
        # Max: 1.0
        D:leggingsFOVfactor=0.0

        # Tint Logistics configuration GUI backgrounds according to the colour of the logistics frame you are configuring
        B:logisticsGUITint=true

        # Defines the default difficulty of the Programmer shown to the user. 0 = easy, 1 = medium, 2 = advanced
        # Min: 0
        # Max: 2
        I:programmerDifficulty=0

        # Use block lighting for semiblocks (logistics frames, heat frames...). May cause occasional lighting issues - semiblocks appearing unlit - disable this if that's a problem.
        B:semiBlockLighting=true

        # Show tank fluids with the The One Probe.  Note that TOP also has support for showing tanks, which may or may not be enabled.
        B:topShowsFluids=true

        # Should tube modules emit redstone play redstone particle effects when active?
        B:tubeModuleRedstoneParticles=true

        # When true, the Pneumatic Helmet will be a model. Warning: this model looks far too good to be in MC (currently ignored)
        B:useHelmetModel=false
    }

    ##########################################################################################################
    # helmet
    #--------------------------------------------------------------------------------------------------------#
    # Pneumatic Armor HUD layout; use the Armor GUI and 'Move Stat' buttons
    ##########################################################################################################

    helmet {
        # DEPRECATED: Pneumatic chestplate air conditioning status on left?
        B:acStatLeft=false

        # DEPRECATED: Pneumatic chestplate air conditioning status Y
        I:acStatX=-25

        # DEPRECATED: Pneumatic chestplate air conditioning status X
        I:acStatY=2

        # DEPRECATED: Pneumatic helmet block tracker on left?
        B:blockTrackerLeft=true

        # DEPRECATED: Pneumatic helmet block tracker X
        I:blockTrackerX=-1

        # DEPRECATED: Pneumatic helmet block tracker Y
        I:blockTrackerY=46

        # DEPRECATED: Pneumatic helmet entity tracker on left?
        B:entityTrackerLeft=true

        # DEPRECATED: Pneumatic helmet entity tracker X
        I:entityTrackerX=-1

        # DEPRECATED: Pneumatic helmet entity tracker Y
        I:entityTrackerY=90

        # DEPRECATED: Pneumatic helmet item search on left?
        B:itemSearchLeft=true

        # DEPRECATED: Pneumatic helmet item search X
        I:itemSearchX=-1

        # DEPRECATED: Pneumatic helmet item search Y
        I:itemSearchY=17

        # DEPRECATED: Pneumatic helmet message readout on left?
        B:messageLeft=false

        # DEPRECATED: Pneumatic helmet message readout X
        I:messageX=2

        # DEPRECATED: Pneumatic helmet message readout Y
        I:messageY=2

        # Pneumatic helmet Path Enabled
        B:pathEnabled=true

        # Pneumatic helmet Path Update Rate
        I:pathUpdateSetting=1

        # DEPRECATED: Pneumatic helmet power readout on left?
        B:powerLeft=false

        # DEPRECATED: Pneumatic helmet power readout X
        I:powerX=-1

        # DEPRECATED: Pneumatic helmet power readout Y
        I:powerY=2

        # Pneumatic helmet Wire Path
        B:wirePath=true

        # Pneumatic helmet X-Ray
        B:xRayEnabled=false
    }

    ##########################################################################################################
    # minigun
    #--------------------------------------------------------------------------------------------------------#
    # Minigun
    ##########################################################################################################

    minigun {
        # Armor Piercing Ammo damage multiplier (relative to standard ammo)
        D:apAmmoDamageMultiplier=1.25

        # Armor Piercing Ammo percentage chance to ignore target's armor
        # Min: 1
        # Max: 100
        I:apAmmoIgnoreArmorChance=100

        # Armor Piercing Ammo cartridge size
        # Min: 1
        # Max: 30000
        I:armorPiercingAmmoCartridgeSize=250

        # Base bullet damage of the Sentry Gun, Handheld Minigun, and Drone Minigun, before ammo bonuses are considered
        D:baseDamage=4.0

        # Base range of Minigun, before Range Upgrades are considered
        # Min: 5
        # Max: 100
        I:baseRange=50

        # Explosive Ammo cartridge size
        # Min: 1
        # Max: 30000
        I:explosiveAmmoCartridgeSize=125

        # Minigun Explosive Ammo damage multiplier (relative to standard ammo)
        D:explosiveAmmoDamageMultiplier=0.20000000298023224

        # Explosive Ammo base percentage chance to cause an explosion
        I:explosiveAmmoExplosionChance=50

        # Minigun Explosive Ammo explosion power (ref: 2 = creeper, 4 = TNT
        D:explosiveAmmoExplosionPower=1.5

        # Does Minigun Explosive Ammo damage terrain?
        B:explosiveAmmoTerrainDamage=false

        # Freezing Ammo base percentage chance to form ice or snow on blocks which have been hit
        # Min: 0
        # Max: 100
        I:freezingAmmoBlockIceChance=20

        # Freezing Ammo cartridge size
        I:freezingAmmoCartridgeSize=500

        # Freezing Ammo base percentage chance to form ice on entities which have been hit
        # Min: 0
        # Max: 100
        I:freezingAmmoEntityIceChance=20

        # Damage done to entities within the fake 'ice' blocks cause by freezing ammo
        D:freezingAmmoFakeIceDamage=1.0

        # Incendiary ammo base percentage chance to ignite blocks
        # Min: 1
        # Max: 100
        I:incendiaryAmmoBlockIgniteChance=20

        # Incendiary Ammo cartridge size
        # Min: 1
        # Max: 30000
        I:incendiaryAmmoCartridgeSize=500

        # Incendiary ammo base percentage chance to ignite entities
        # Min: 1
        # Max: 100
        I:incendiaryAmmoEntityIgniteChance=100

        # Incendiary ammo fire duration on target entities (seconds)
        I:incendiaryAmmoFireDuration=8

        # Percentage chance per shot of potion-tipped ammo proc'ing the potion effect, before Dispenser Upgrades are considered
        # Min: 1
        # Max: 100
        I:potionProcChance=7

        # Standard Ammo cartridge size
        # Min: 1
        # Max: 30000
        I:standardAmmoCartridgeSize=1000

        # Weighted Ammo air usage multiplier (relative to standard ammo)
        D:weightedAmmoAirUsageMultiplier=8.0

        # Weighted Ammo cartridge size
        # Min: 1
        # Max: 30000
        I:weightedAmmoCartridgeSize=250

        # Weighted Ammo damage multiplier (relative to standard ammo)
        D:weightedAmmoDamageMultiplier=2.5

        # Weighted Ammo range multiplier (relative to standard ammo)
        D:weightedAmmoRangeMultiplier=0.20000000298023224
    }

    ##########################################################################################################
    # micromissile
    #--------------------------------------------------------------------------------------------------------#
    # Micromissiles
    ##########################################################################################################

    micromissile {
        # Base explosion damage (modified by missile setup)
        D:baseExplosionDamage=1.0

        # Do micromissile explosions cause terrain damage?
        B:damageTerrain=false

        # Cooldown for missile firing in ticks
        I:launchCooldown=15

        # Base missile lifetime in ticks (modified by missile setup)
        I:lifetime=300

        # Number of micromissiles per pod
        I:missilePodSize=100
    }

    ##########################################################################################################
    # armor
    #--------------------------------------------------------------------------------------------------------#
    # Settings affecting Pneumatic Armor operation (other than helmet HUD settings)
    ##########################################################################################################

    armor {
        # Armor base startup time in ticks (before Speed Upgrades)
        I:armorStartupTime=200

        # Jetboots air usage in mL/tick (per Jet Boots Upgrade)
        I:jetbootsAirUsage=6
    }

    ##########################################################################################################
    # integration
    #--------------------------------------------------------------------------------------------------------#
    # Mod Integration
    ##########################################################################################################

    integration {
        # Immersive Engineering: External Heater heat/RF.  The amount of PneumaticCraft heat added by 1 RF.
        # Min: 0.0
        # Max: 1.7976931348623157E308
        D:ieExternalHeaterHeatPerRF=0.01

        # Immersive Engineering: External Heater RF/t. Set to 0 to disable External Heater integration entirely.
        # Min: 0
        # Max: 2147483647
        I:ieExternalHeaterRFperTick=100

        # Mekanism heat conversion efficiency.  Smaller values mean Mekanism heat is worth less PneumaticCraft heat. Set to 0.0 to disable Mekanism heat integration entirely.
        # Min: 0.0
        # Max: 1.7976931348623157E308
        D:mekHeatEfficiency=0.4

        # Mekanism thermal resistance multiplier. Larger values mean slower heat transfer.
        # Min: 1.0
        # Max: 1.7976931348623157E308
        D:mekThermalResistanceMult=100.0

        # ToughAsNails: air usage multiplier for the Pneumatic Chestplate Air Conditioning Upgrade.
        # Min: 0.0
        # Max: 1.7976931348623157E308
        D:tanAirConAirUsageMultiplier=1.5

        # Tough As Nails temperature divider; smaller values make PneumaticCraft heat sources have a more pronounced effect on your temperature. Set to 0 to ignore PneumaticCraft heat sources.
        D:tanHeatDivider=10.0

        # Interval in ticks with which to refresh heat information from PneumaticCraft heat sources to Tough As Nails. A larger interval is kinder to the server but will provide less precise temperature data to TAN.
        # Min: 1
        # Max: 200
        I:tanRefreshInterval=40
    }

}


